%define sourcedir stable/%{version}/distribution/tar/generic/source
%define kdeprefix /usr/lib/kde2

Name: kde-i18n
URL: http://www.kde.org
Summary: Internationalization support for KDE
Version: 1.93
Release: 1
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{version}.tar.bz2
Patch: kde-i18n-1.93-build.patch
Group: User Interface/Desktops
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: kdesupport2, kdelibs2, kdebase2
Prefix:  %{kdeprefix}
BuildArch: noarch

%description
Internationalization support for KDE

%package Afrikaans
Summary: African Dutch (Afrikaans) support for KDE
Group: User Interface/Desktops

%description Afrikaans
African Dutch (Afrikaans) support for KDE

%package Bulgarian
Summary: Bulgarian language support for KDE
Group: User Interface/Desktops

%description Bulgarian
Bulgarian language support for KDE

%package Breton
Summary: Breton language support for KDE
Group: User Interface/Desktops

%description Breton
Breton language support for KDE

%package Catalan
Summary: Catalan language support for KDE
Group: User Interface/Desktops

%description Catalan
Catalan language support for KDE

%package Czech
Summary: Czech language support for KDE
Group: User Interface/Desktops

%description Czech
Czech language support for KDE

%package Cymraeg
Summary: Cymraeg language support for KDE
Group: User Interface/Desktops

%description Cymraeg
Cymraeg language support for KDE

%package Danish
Summary: Danish language support for KDE
Group: User Interface/Desktops

%description Danish
Danish language support for KDE

%package German
Summary: German language support for KDE
Group: User Interface/Desktops

%description German
German language support for KDE

%package Greek
Summary: Greek language support for KDE
Group: User Interface/Desktops

%description Greek
Greek language support for KDE

%package British
Summary: Brisish English support for KDE
Group: User Interface/Desktops

%description British
British English language support for KDE

%package Esperanto
Summary: Esperanto support for KDE
Group: User Interface/Desktops

%description Esperanto
Esperanto support for KDE

%package Spanish
Summary: Spanish language support for KDE
Group: User Interface/Desktops

%description Spanish
Spanish language support for KDE

%package Estonian
Summary: Estonian language support for KDE
Group: User Interface/Desktops

%description Estonian
Estonian language support for KDE

%package Basque
Summary: Basque language support for KDE
Group: User Interface/Desktops

%description Basque
Basque language support for KDE

%package Finnish
Summary: Finnish language support for KDE
Group: User Interface/Desktops

%description Finnish
Finnish language support for KDE

%package French
Summary: French language support for KDE
Group: User Interface/Desktops

%description French
French language support for KDE

#%package Gaeilge
#Summary: Gaeilge language support for KDE
#Group: User Interface/Desktops
#
#%description Gaeilge
#Gaeilge language support for KDE

%package Hebrew
Summary: Hebrew language support for KDE
Group: User Interface/Desktops

%description Hebrew
Hebrew language support for KDE

%package Croatian
Summary: Croatian language support for KDE
Group: User Interface/Desktops

%description Croatian
Croatian language support for KDE

%package Hungarian
Summary: Hungarian language support for KDE
Group: User Interface/Desktops

%description Hungarian
Hungarian language support for KDE

%package Icelandic
Summary: Icelandic language support for KDE
Group: User Interface/Desktops

%description Icelandic
Icelandic language support for KDE

%package Italian
Summary: Italian language support for KDE
Group: User Interface/Desktops

%description Italian
Italian language support for KDE

%package Japanese
Summary: Japanese language support for KDE
Group: User Interface/Desktops

%description Japanese
Japanese language support for KDE

%package Korean
Summary: Korean language support for KDE
Group: User Interface/Desktops

%description Korean
Korean language support for KDE

%package Lithuanian
Summary: Lithuanian language support for KDE
Group: User Interface/Desktops

%description Lithuanian
Lithuanian language support for KDE

%package Maori
Summary: Maori language support for KDE
Group: User Interface/Desktops

%description Maori
Maori language support for KDE

%package Macedonian
Summary: Macedonian language support for KDE
Group: User Interface/Desktops

%description Macedonian
Macedonian language support for KDE

%package Dutch
Summary: Dutch language support for KDE
Group: User Interface/Desktops

%description Dutch
Dutch language support for KDE

%package Norwegian
Summary: Norwegian language support for KDE
Group: User Interface/Desktops

%description Norwegian
Norwegian language support for KDE

%package Norwegian-Nynorsk
Summary: Norwegian (Nynorsk) language support for KDE
Group: User Interface/Desktops

%description Norwegian-Nynorsk
Norwegian (Nynorsk) language support for KDE

%package Polish
Summary: Polish language support for KDE
Group: User Interface/Desktops

%description Polish
Polish language support for KDE

%package Portuguese
Summary: Portuguese language support for KDE
Group: User Interface/Desktops

%description Portuguese
Portuguese language support for KDE

%package Brazil
Summary: Brazil Portuguese language support for KDE
Group: User Interface/Desktops

%description Brazil
Brazil Portuguese language support for KDE

%package Romanian
Summary: Romanian language support for KDE
Group: User Interface/Desktops

%description Romanian
Romanian language support for KDE

%package Russian
Summary: Russian language support for KDE
Group: User Interface/Desktops

%description Russian
Russian language support for KDE

%package Slovak
Summary: Slovak language support for KDE
Group: User Interface/Desktops

%description Slovak
Slovak language support for KDE

%package Slovenian
Summary: Slovenian language support for KDE
Group: User Interface/Desktops

%description Slovenian
Slovenian language support for KDE

%package Serbian
Summary: Serbian language support for KDE
Group: User Interface/Desktops

%description Serbian
Serbian language support for KDE

%package Swedish
Summary: Swedish language support for KDE
Group: User Interface/Desktops

%description Swedish
Swedish language support for KDE

%package Tamil
Summary: Tamil language support for KDE
Group: User Interface/Desktops

%description Tamil
Tamil language support for KDE

%package Thai
Summary: Thai language support for KDE
Group: User Interface/Desktops

%description Thai
Thai language support for KDE

%package Turkish
Summary: Turkish language support for KDE
Group: User Interface/Desktops

%description Turkish
Turkish language support for KDE

%package Ukrainian
Summary: Ukrainian language support for KDE
Group: User Interface/Desktops

%description Ukrainian
Ukrainian language support for KDE

%package Walloon
Summary: Walloon language support for KDE
Group: User Interface/Desktops

%description Walloon
Walloon language support for KDE

%package Chinese
Summary: Chinese (Simplified Chinese) language support for KDE
Group: User Interface/Desktops

%description Chinese
Chinese (Simplified Chinese) language support for KDE

%package Chinese-Big5
Summary: Chinese (Big5) language support for KDE
Group: User Interface/Desktops

%description Chinese-Big5
Chinese (Big5) language support for KDE

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch -p1 -b .build
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
./configure --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files Afrikaans
%defattr(-,root,root)
%{prefix}/share/locale/af/*

%files Bulgarian
%defattr(-,root,root)
%{prefix}/share/locale/bg/*

%files Breton
%defattr(-,root,root)
%{prefix}/share/locale/br/*

%files Catalan
%defattr(-,root,root)
%{prefix}/share/locale/ca/*

%files Czech
%defattr(-,root,root)
%{prefix}/share/locale/cs/*
%doc %{prefix}/share/doc/HTML/cs/*

%files Cymraeg
%defattr(-,root,root)
%{prefix}/share/locale/cy/*

%files Danish
%defattr(-,root,root)
%{prefix}/share/locale/da/*
%doc %{prefix}/share/doc/HTML/da/*

%files German
%defattr(-,root,root)
%{prefix}/share/locale/de/*
%doc %{prefix}/share/doc/HTML/de/*

%files Greek
%defattr(-,root,root)
%{prefix}/share/locale/el/*
%doc %{prefix}/share/doc/HTML/el/*

%files British
%defattr(-,root,root)
%{prefix}/share/locale/en_GB/*

%files Esperanto
%defattr(-,root,root)
%{prefix}/share/locale/eo/*

%files Spanish
%defattr(-,root,root)
%{prefix}/share/locale/es/*
%doc %{prefix}/share/doc/HTML/es/*

%files Estonian
%defattr(-,root,root)
%{prefix}/share/locale/et/*
%doc %{prefix}/share/doc/HTML/et/*

%files Basque
%defattr(-,root,root)
%{prefix}/share/locale/eu/*

%files Finnish
%defattr(-,root,root)
%{prefix}/share/locale/fi/*
%doc %{prefix}/share/doc/HTML/fi/*

%files French
%defattr(-,root,root)
%{prefix}/share/locale/fr/*
%doc %{prefix}/share/doc/HTML/fr/*

#%files Gaeilge
#%defattr(-,root,root)
#%{prefix}/share/locale/ga/*

%files Hebrew
%defattr(-,root,root)
%{prefix}/share/locale/he/*

%files Croatian
%defattr(-,root,root)
%{prefix}/share/locale/hr/*

%files Hungarian
%defattr(-,root,root)
%{prefix}/share/locale/hu/*
%doc %{prefix}/share/doc/HTML/hu/*

%files Icelandic
%defattr(-,root,root)
%{prefix}/share/locale/is/*

%files Italian
%defattr(-,root,root)
%{prefix}/share/locale/it/*
%doc %{prefix}/share/doc/HTML/it/*

%files Japanese
%defattr(-,root,root)
%{prefix}/share/locale/ja/*
%doc %{prefix}/share/doc/HTML/ja/*

%files Korean
%defattr(-,root,root)
%{prefix}/share/locale/ko/*

%files Lithuanian
%defattr(-,root,root)
%{prefix}/share/locale/lt/*

%files Maori
%defattr(-,root,root)
%{prefix}/share/locale/mi/*

%files Macedonian
%defattr(-,root,root)
%{prefix}/share/locale/mk/*

%files Dutch
%defattr(-,root,root)
%{prefix}/share/locale/nl/*
%doc %{prefix}/share/doc/HTML/nl/*

%files Norwegian
%defattr(-,root,root)
%{prefix}/share/locale/no/*
%doc %{prefix}/share/doc/HTML/no/*

%files Norwegian-Nynorsk
%defattr(-,root,root)
%{prefix}/share/locale/no_NY/*

%files Polish
%defattr(-,root,root)
%{prefix}/share/locale/pl/*
%doc %{prefix}/share/doc/HTML/pl/*

%files Portuguese
%defattr(-,root,root)
%{prefix}/share/locale/pt/*
%doc %{prefix}/share/doc/HTML/pt/*

%files Brazil
%defattr(-,root,root)
%{prefix}/share/locale/pt_BR/*
%doc %{prefix}/share/doc/HTML/pt_BR/*

%files Romanian
%defattr(-,root,root)
%{prefix}/share/locale/ro/*
%doc %{prefix}/share/doc/HTML/ro/*

%files Russian
%defattr(-,root,root)
%{prefix}/share/locale/ru/*
%doc %{prefix}/share/doc/HTML/ru/*

%files Slovak
%defattr(-,root,root)
%{prefix}/share/locale/sk/*

%files Slovenian
%defattr(-,root,root)
%{prefix}/share/locale/sl/*
%doc %{prefix}/share/doc/HTML/sl/*

%files Serbian
%defattr(-,root,root)
%{prefix}/share/locale/sr/*
%doc %{prefix}/share/doc/HTML/sr/*

%files Swedish
%defattr(-,root,root)
%{prefix}/share/locale/sv/*
%doc %{prefix}/share/doc/HTML/sv/*

%files Tamil
%defattr(-,root,root)
%{prefix}/share/locale/ta/*

%files Thai
%defattr(-,root,root)
%{prefix}/share/locale/th/*

%files Turkish
%defattr(-,root,root)
%{prefix}/share/locale/tr/*

%files Ukrainian
%defattr(-,root,root)
%{prefix}/share/locale/uk/*

%files Walloon
%defattr(-,root,root)
%{prefix}/share/locale/wa/*

%files Chinese
%defattr(-,root,root)
%{prefix}/share/locale/zh_CN.GB2312/*
%doc %{prefix}/share/doc/HTML/zh_CN.GB2312/*

%files Chinese-Big5
%defattr(-,root,root)
%{prefix}/share/locale/zh_TW.Big5/*

%changelog
* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 19 2000 Than Ngo <than@redhat.com>
- put i18n stuff for KDE2 under /usr/lib/kde2,
  fix dependency problem

* Mon Jul 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add default owner

* Sat Apr 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial RPM
